#include <exec/types.h>
#include <intuition/intuitionbase.h>
#include <intuition/intuition.h>

#include <proto/intuition.h>

__chip UWORD BusySprite[]=
{
  0x0000,0x0000, 0x0400,0x07C0,
  0x0000,0x07C0, 0x0100,0x0380,
  0x0000,0x07E0, 0x07C0,0x1FF8,
  0x1FF0,0x3FEC, 0x3FF8,0x7FDE,
  0x3FF8,0x7FBE, 0x7FFC,0xFF7F,
  0x7EFC,0xFFFF, 0x7FFC,0xFFFF,
  0x3FF8,0x7FFE, 0x3FF8,0x7FFE,
  0x1FF0,0x3FFC, 0x07C0,0x1FF8,
  0x0000,0x07E0, 0x0000,0x0000
};

void BusyOn (struct Window *BusyMe);
void BusyOff (struct Window *BusyMe);

void BusyOn (struct Window *BusyMe)
{
  if (IntuitionBase->LibNode.lib_Version >= 39)
    SetWindowPointer(BusyMe,WA_BusyPointer,
                     -1,TAG_DONE);
  else
    SetPointer(BusyMe,BusySprite,
           sizeof(BusySprite)/(sizeof(UWORD)*2)-2,
              15,-6,0);
}

void BusyOff (struct Window *BusyMe)
{
  if (IntuitionBase->LibNode.lib_Version >= 39)
    SetWindowPointer(BusyMe,WA_BusyPointer,
                     0,TAG_DONE);
  else
    ClearPointer (BusyMe);
}
